Wednesday, 13 June 2007

Whacky ideas, my addition...

PriorityIncreaseIfBinariesFromTheSameSource:

It would be really useful if a -dev package's priority would inflate proportionally with every binary package originating from the same source as the dev package.

This way I would never see this[1]:

# LANG=C apt-get install libxmu-dev libagg-dev libgstreamer0.10-dev libgtkglext1-dev libmad0-dev libxul-dev libdirectfb-dev libkonq4-dev libcurl3-gnutls-dev libcaca-dev libboost-date-time-dev libavcodec-dev libavformat-dev libming-dev
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
kdelibs4-dev liba52-0.7.4-dev libacl1-dev libarts1-dev libartsc0-dev libasound2-dev libaspell-dev libattr1-dev
libaudio-dev libavahi-qt3-dev libcucul-dev libcupsys2-dev libdc1394-13-dev libdts-dev libfam-dev libfam0
libgl1-mesa-dev libglu1-mesa-dev libgsm1-dev libgtkglext1 libidn11-dev libjack0.100.0-dev libjasper-1.701-dev
liblcms1-dev liblua50-dev liblualib50-dev libmng-dev libmozjs-dev libmpeg3-dev libnspr4-dev libnss3-dev libogg-dev
libopenexr-dev libqt3-headers libqt3-mt-dev libraw1394-dev libsasl2-dev libslang2-dev libtheora-dev libtiff4-dev
libvorbis-dev libxslt1-dev libxt-dev mesa-common-dev qt3-dev-tools xlibmesa-gl-dev
Suggested packages:
libasound2-doc aspell-doc libqt3-i18n qt3-doc libraw1394-doc
Recommended packages:
fam gstreamer0.10-doc libqt3-compat-headers
The following packages will be REMOVED:
gamin libgamin0
The following NEW packages will be installed:
kdelibs4-dev liba52-0.7.4-dev libacl1-dev libagg-dev libarts1-dev libartsc0-dev libasound2-dev libaspell-dev
libattr1-dev libaudio-dev libavahi-qt3-dev libavcodec-dev libavformat-dev libboost-date-time-dev libcaca-dev
libcucul-dev libcupsys2-dev libcurl3-gnutls-dev libdc1394-13-dev libdirectfb-dev libdts-dev libfam-dev libfam0
libgl1-mesa-dev libglu1-mesa-dev libgsm1-dev libgstreamer0.10-dev libgtkglext1 libgtkglext1-dev libidn11-dev
libjack0.100.0-dev libjasper-1.701-dev libkonq4-dev liblcms1-dev liblua50-dev liblualib50-dev libmad0-dev libming-dev
libmng-dev libmozjs-dev libmpeg3-dev libnspr4-dev libnss3-dev libogg-dev libopenexr-dev libqt3-headers libqt3-mt-dev
libraw1394-dev libsasl2-dev libslang2-dev libtheora-dev libtiff4-dev libvorbis-dev libxmu-dev libxslt1-dev libxt-dev
libxul-dev mesa-common-dev qt3-dev-tools xlibmesa-gl-dev
0 upgraded, 60 newly installed, 2 to remove and 0 not upgraded.
Need to get 21.6MB/22.2MB of archives.
After unpacking 108MB of additional disk space will be used.
Do you want to continue [Y/n]?



[1] these are gnash's build deps, in case you're wondering

2 comments:

Josh said...

In other words, apt should have installed the -dev package for gamin rather than removing gamin and installing fam? That makes sense.

eddyp said...

In other words, apt should have installed the -dev package for gamin rather than removing gamin and installing fam?

Exactly! Especially since I requested explicitly gamin (i.e. it was not a primary alternative).

I guess that's what you get when a package provides a package name which is not virtual.